# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETSize Struct Reference

Simple size class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions

| NETSize ()

## Public Attributes

int | width
int | height

## Detailed Description

Simple size class for NET classes.

This class is a convenience class defining a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETSize is only used by the NET API. Usually QSize is the appropriate class for representing a size.

Author:
  Bradley T. Hughes <bhughes@trolltech.com>

Definition at line 71 of file netwm_def.h.

## Constructor & Destructor Documentation

NETSize::NETSize | ( |  | ) | `[inline]`

| Constructor to initialize this size to 0x0. Definition at line 75 of file netwm_def.h. References height, and width.

## Member Data Documentation

int NETSize::width

| Width. Definition at line 81 of file netwm_def.h. Referenced by NETRootInfo::desktopGeometry(), NETWinInfo::event(), NETRootInfo::event(), NETWinInfo::icon(), NETSize(), NETWinInfo::setIcon(), and NETWinInfo::setIconGeometry().

int NETSize::height

| Height. Definition at line 81 of file netwm_def.h. Referenced by NETWinInfo::event(), NETRootInfo::event(), NETWinInfo::icon(), NETSize(), NETWinInfo::setIcon(), and NETWinInfo::setIconGeometry().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003